
import matplotlib.pyplot as plt
import numpy as np
import glob

#Read header data
header = {}
f = open('./binary/header')
for l in f.readlines():
    key, value = l.split()
    header[key] = float(value)

#Get files to read
files = glob.glob('./binary/filename*')
files.sort()

#Loop through files
for f in files:

    #Read data from files
    data = np.fromfile(open(f,'rb'), dtype='d')

    #Plot data
    plt.imshow(data.reshape(header['Nx'],header['Nz']))
    plt.colorbar()
    plt.show()
